
<div class="inputField">
    <form class="form-inline" id="carForm" onsubmit="this.reset()"> 
        <div class="form-group">
            <label for="inputName">Car model: </label>
            <input type="text" class="form-control" name="inputName" [(ngModel)]="inputName">
        </div>
        <div class="form-group">
            <label for="inputValue">Displacement: </label>
            <input type="text" class="form-control" name="inputValue" [(ngModel)]="inputValue">
        </div>
        <small *ngIf="valueError" id="valueHelp" class="text-danger">
            Must be a number.
        </small>
        <button type="submit" (click)='insertValue()' class="btn btn-default" id="insert">Insert</button>
    </form>
</div>

<div class=" container chartsDiv">
    <div class="topRow" [chart]="pie_chart"></div>
    <div class="topRow" [chart]="column_chart"></div>

    <div class="bottomRow" [chart]="line_chart"></div>
    <div class="bottomRow" [chart]="bar_chart"></div>
</div>